      SUBROUTINE PTPOSN(XIN,YIN,INOUT)
C
C   SET INOUT TO REFLECT WHERE (XIN,YIN) LIES WRT THE DATA AREA
C     BOUNDARY.  IF INOUT = 0, THEN (XIN,YIN) LIES INSIDE THE BOUNDARY.
C
$INCLUDE:'pxz99.cmn'
C
      IF(XIN-RXMIN) 30,20,10
   10 IF(RXMAX-XIN) 40,20,20
   20 INX=0
      GO TO 50
   30 INX=1
      GO TO 50
   40 INX=2
   50 IF(YIN-RYMIN) 80,70,60
   60 IF(RYMAX-YIN) 90,70,70
   70 INY=0
      GO TO 100
   80 INY=4
      GO TO 100
   90 INY=8
  100 INOUT=INX+INY
      RETURN
      END


